#include "chartdir.h"

int main(int argc, char *argv[])
{
    //The data for the line chart
    double data[] = {30, 28, 40, 55, 75, 68, 54, 60, 50, 62, 75, 65, 75, 91, 60,
        55, 53, 35, 50, 66, 56, 48, 52, 65, 62};

    //The labels for the line chart
    const char *labels[] = {"0", "", "", "3", "", "", "6", "", "", "9", "", "",
        "12", "", "", "15", "", "", "18", "", "", "21", "", "", "24"};

    //Create a XYChart object of size 250 x 250 pixels
    XYChart *c = new XYChart(250, 250);

    //Set the plotarea at (30, 20) and of size 200 x 200 pixels
    c->setPlotArea(30, 20, 200, 200);

    //Add a line chart layer using the given data
    c->addLineLayer(DoubleArray(data, sizeof(data)/sizeof(*data)));

    //Set the x axis labels using the given labels
    c->xAxis()->setLabels(StringArray(labels, sizeof(labels)/sizeof(*labels)));

    //output the chart
    c->makeChart("simpleline.png");

    //free up resources
    delete c;
    return 0;
}
