/*
 * Copyright (C) 2003 Advanced Software Engineering Limited.
 *
 * This file is part of the ChartDirector software. Usage of this file is
 * subjected to the ChartDirector license agreement. See the LICENSE.TXT
 * file that comes with the ChartDirector software release, or visit
 * Advanced Software Engineering's web site at www.advsofteng.com or 
 * email to support@advsofteng.com for information.
 *
 */
 
#ifndef MEMBLOCK_HDR
#define MEMBLOCK_HDR

class MemBlock
{
public :
	int len;
	const char *data;
	MemBlock() : data(0), len(0) {}
	MemBlock(const char *data, int len) : data(data), len(len) {}
};

class StringArray
{
public :
	int len;
	const char * const *data;
	StringArray() : data(0), len(0) {}
	StringArray(const char * const *data, int len) : data(data), len(len) {}
};

class DoubleArray
{
public :
	int len;
	const double *data;
	DoubleArray() : data(0), len(0) {}
	DoubleArray(const double *data, int len) : data(data), len(len) {}
};

class IntArray
{
public :
	int len;
	const int *data;
	IntArray() : data(0), len(0) {}
	IntArray(const int *data, int len) : data(data), len(len) {}
};

#endif
